Subject: bug#23377: 25.0.93; Completion is extremely slow for insert-char

From: Paul Eggert <[email-masked]>
Date: Mon, 25 Apr 2016 21:10:50 -0700

Drew Adams wrote:
> if the main reason to disable it is for performance in
> an extreme use case (C-x 8 RET TAB)

It's not that extreme. It's natural for a user to get the whole list and then
use C-s to find the desired character.

Also, there's a problem even in less-"extreme" cases. I just now tried 'C-x 8
RET B TAB', which lists every character whose name starts with "B", and this
took about 18 s on my platform, whereas with Emacs 24.5 it is almost
instantaneous.  18 s is waayyy to slow for this sort of user interaction.

Stefan's suggestion of a config var sounds good. It's a bit late to be adding
features to the emacs-25 branch, though, so I'm inclined to revert in emacs-25
(with a "do not merge to master") and add a customizable var in master.